<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.sas.mapper.SasMapDeviceMapper">

    <resultMap id="BaseResultMap" type="com.usky.sas.domain.SasMapDevice">
        <id column="id" property="id"/>
        <result column="device_id" property="deviceId"/>
        <result column="img_id" property="imgId"/>
        <result column="type" property="type"/>
        <result column="background_color" property="backgroundColor"/>
        <result column="x" property="x"/>
        <result column="y" property="y"/>
        <result column="width" property="width"/>
        <result column="height" property="height"/>
        <result column="angle" property="angle"/>
        <result column="font_color" property="fontColor"/>
        <result column="thickness" property="thickness"/>
        <result column="font_size" property="fontSize"/>
        <result column="text" property="text"/>
        <result column="map_id" property="mapId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>

</mapper>

